Show / Hide Table of Contents

# Class World

This object represents a world a character can reside on.

##### Inheritance

System.Object
World

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Resolvers

###### Assembly: Dalamud.dll

##### Syntax

    public class World

### Constructors

| Improve this Doc View Source

#### World(Byte)

Set up the world resolver with the provided ID.

##### Declaration

    public World(byte id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | id | The ID of the world.

### Fields

| Improve this Doc View Source

#### Id

ID of the world.

##### Declaration

    public readonly int Id

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Name

Name of the world.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |